Package wx :: Package lib :: Module wxcairo :: Class Pycairo_CAPI

[frames | no frames]

## Type Pycairo_CAPI

    object --+
             |
        _CData --+
                 |
         Structure --+
                     |
                    Pycairo_CAPI

Method Summary

Class Variable Summary
`list` | `_fields_` = `[('Context_Type', <class 'ctypes.py_object'>)...`
`CField` | `Check_Status` = `<Field type=CFunctionType, ofs=216, size=...`
`CField` | `Context_FromContext` = `<Field type=CFunctionType, ofs=8, ...`
`CField` | `Context_Type` = `<Field type=py_object, ofs=0, size=8>`
`CField` | `FontFace_FromFontFace` = `<Field type=CFunctionType, ofs=2...`
`CField` | `FontFace_Type` = `<Field type=py_object, ofs=16, size=8>`
`CField` | `FontOptions_FromFontOptions` = `<Field type=CFunctionType,...`
`CField` | `FontOptions_Type` = `<Field type=py_object, ofs=32, size=8...`
`CField` | `Gradient_Type` = `<Field type=py_object, ofs=104, size=8>`
`CField` | `ImageSurface_Type` = `<Field type=py_object, ofs=160, size...`
`CField` | `LinearGradient_Type` = `<Field type=py_object, ofs=112, si...`
`CField` | `Matrix_FromMatrix` = `<Field type=CFunctionType, ofs=56, s...`
`CField` | `Matrix_Type` = `<Field type=py_object, ofs=48, size=8>`
`CField` | `Path_FromPath` = `<Field type=CFunctionType, ofs=72, size=...`
`CField` | `Path_Type` = `<Field type=py_object, ofs=64, size=8>`
`CField` | `Pattern_FromPattern` = `<Field type=c_void_p, ofs=128, siz...`
`CField` | `Pattern_Type` = `<Field type=py_object, ofs=80, size=8>`
`CField` | `PDFSurface_Type` = `<Field type=py_object, ofs=168, size=8...`
`CField` | `PSSurface_Type` = `<Field type=py_object, ofs=176, size=8>`
`CField` | `RadialGradient_Type` = `<Field type=py_object, ofs=120, si...`
`CField` | `ScaledFont_FromScaledFont` = `<Field type=CFunctionType, o...`
`CField` | `ScaledFont_Type` = `<Field type=py_object, ofs=136, size=8...`
`CField` | `SolidPattern_Type` = `<Field type=py_object, ofs=88, size=...`
`CField` | `Surface_FromSurface` = `<Field type=CFunctionType, ofs=208...`
`CField` | `Surface_Type` = `<Field type=py_object, ofs=152, size=8>`
`CField` | `SurfacePattern_Type` = `<Field type=py_object, ofs=96, siz...`
`CField` | `SVGSurface_Type` = `<Field type=py_object, ofs=184, size=8...`
`CField` | `Win32Surface_Type` = `<Field type=py_object, ofs=192, size...`
`CField` | `XlibSurface_Type` = `<Field type=py_object, ofs=200, size=...`

Class Variable Details

### _fields_

  Type:
    `list`
  Value:

        [('Context_Type', <class 'ctypes.py_object'>),
         ('Context_FromContext', <class 'ctypes.CFunctionType'>),
         ('FontFace_Type', <class 'ctypes.py_object'>),
         ('FontFace_FromFontFace', <class 'ctypes.CFunctionType'>),
         ('FontOptions_Type', <class 'ctypes.py_object'>),
         ('FontOptions_FromFontOptions', <class 'ctypes.CFunctionType'>),
         ('Matrix_Type', <class 'ctypes.py_object'>),
         ('Matrix_FromMatrix', <class 'ctypes.CFunctionType'>),
        ...

### Check_Status

  Type:
    `CField`
  Value:

        <Field type=CFunctionType, ofs=216, size=8>

### Context_FromContext

  Type:
    `CField`
  Value:

        <Field type=CFunctionType, ofs=8, size=8>

### Context_Type

  Type:
    `CField`
  Value:

        <Field type=py_object, ofs=0, size=8>

### FontFace_FromFontFace

  Type:
    `CField`
  Value:

        <Field type=CFunctionType, ofs=24, size=8>

### FontFace_Type

  Type:
    `CField`
  Value:

        <Field type=py_object, ofs=16, size=8>

### FontOptions_FromFontOptions

  Type:
    `CField`
  Value:

        <Field type=CFunctionType, ofs=40, size=8>

### FontOptions_Type

  Type:
    `CField`
  Value:

        <Field type=py_object, ofs=32, size=8>

### Gradient_Type

  Type:
    `CField`
  Value:

        <Field type=py_object, ofs=104, size=8>

### ImageSurface_Type

  Type:
    `CField`
  Value:

        <Field type=py_object, ofs=160, size=8>

### LinearGradient_Type

  Type:
    `CField`
  Value:

        <Field type=py_object, ofs=112, size=8>

### Matrix_FromMatrix

  Type:
    `CField`
  Value:

        <Field type=CFunctionType, ofs=56, size=8>

### Matrix_Type

  Type:
    `CField`
  Value:

        <Field type=py_object, ofs=48, size=8>

### Path_FromPath

  Type:
    `CField`
  Value:

        <Field type=CFunctionType, ofs=72, size=8>

### Path_Type

  Type:
    `CField`
  Value:

        <Field type=py_object, ofs=64, size=8>

### Pattern_FromPattern

  Type:
    `CField`
  Value:

        <Field type=c_void_p, ofs=128, size=8>

### Pattern_Type

  Type:
    `CField`
  Value:

        <Field type=py_object, ofs=80, size=8>

### PDFSurface_Type

  Type:
    `CField`
  Value:

        <Field type=py_object, ofs=168, size=8>

### PSSurface_Type

  Type:
    `CField`
  Value:

        <Field type=py_object, ofs=176, size=8>

### RadialGradient_Type

  Type:
    `CField`
  Value:

        <Field type=py_object, ofs=120, size=8>

### ScaledFont_FromScaledFont

  Type:
    `CField`
  Value:

        <Field type=CFunctionType, ofs=144, size=8>

### ScaledFont_Type

  Type:
    `CField`
  Value:

        <Field type=py_object, ofs=136, size=8>

### SolidPattern_Type

  Type:
    `CField`
  Value:

        <Field type=py_object, ofs=88, size=8>

### Surface_FromSurface

  Type:
    `CField`
  Value:

        <Field type=CFunctionType, ofs=208, size=8>

### Surface_Type

  Type:
    `CField`
  Value:

        <Field type=py_object, ofs=152, size=8>

### SurfacePattern_Type

  Type:
    `CField`
  Value:

        <Field type=py_object, ofs=96, size=8>

### SVGSurface_Type

  Type:
    `CField`
  Value:

        <Field type=py_object, ofs=184, size=8>

### Win32Surface_Type

  Type:
    `CField`
  Value:

        <Field type=py_object, ofs=192, size=8>

### XlibSurface_Type

  Type:
    `CField`
  Value:

        <Field type=py_object, ofs=200, size=8>

Generated by Epydoc 2.1.20050511.rpd on Mon Feb 16 12:55:17 2009 | http://epydoc.sf.net